Faille critique sur CheckPoint VPN-1

Sécurité

La vulnérabilité est jugée hautement critique. Elle est localisée dans la librairie ASN.1 et permettrait la prise de contrôle à distance du firewall de l’éditeur. Check Point a trouvé la parade

Découverte par ISS, la faiblesse est localisée dans la librairie ASN.1 utilisée par les équipements VPN-1 CheckPoint. L’exploitation de cette faille de type «

buffer overflow» permettrait à un individu mal intentionné de prendre la main à distance sur un tel équipement. Le fait qu’aucune authentification n’est requise pour exploiter la vulnérabilité renforce le caractère critique de la faille. Notons également que, selon ISS, les installations par défaut de VPN-1 seraient vulnérables. IKE (Internet Key Exchange) est utilisé pour négocier les échanges de clés cryptographiques lors de l’établissement d’un tunnel VPN. Le protocole utilisé pour faciliter ces échanges est ISAKMP (Internet Association and Key Management Protocol). L’initiation de la connexion chiffrée fait appel aux fonctionnalités de décodage de la libraire ANS.1 qui comporte la vulnérabilité. C’est lors de ce décodage qu’un attaquant peut exploiter la faille et forcer la machine à exécuter une commande arbitraire. L’exploitation serait possible en envoyant un unique paquet «malformé» à destination d’un équipement vulnérable. Voilà une aubaine pour un «ver» qui pourrait se répandre sur la toile à une vitesse fulgurante. Les équipements VPN sont utilisés pour protéger des informations sensibles circulant sur un réseau. La fragilisation d’un tel matériel pourrait aboutir à des fuites d’informations sensibles de l’entreprise attaquée. Pour vous prémunir d’une telle attaque, Checkpoint a mis à disposition sur son site Internet les mises à jour nécessaires à l’éradication de la vulnérabilité. Aurélien Cabezon pour Vulnerabilite.com L’alerte CheckPoint Versions vulnérables

VPN-1/FireWall-1 NG avec Application Intelligence R55W VPN-1/FireWall-1 NG avec Application Intelligence R55 VPN-1/FireWall-1 NG avec Application Intelligence R54 VPN-1/FireWall-1 Next Generation FP3 VPN-1 SecuRemote/SecureClient NG avec Application Intelligence Provider-1 NG avec Application Intelligence R55 Provider-1 NG avec Application Intelligence R54 FireWall-1 GX 2.5 FireWall-1 GX 2.0 SSL Network Extender VPN-1/FireWall-1 VSX NG avec Application Intelligence Release 2 VPN-1/FireWall-1 VSX 2.0.1


Lire la biographie de l´auteur  Masquer la biographie de l´auteur